---
title: Get specific embed
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Embeddable Graphs
---

# Get specific embed{% #get-specific-embed %}

{% tab title="v1" %}

| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/graph/embed/{embed_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/graph/embed/{embed_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/graph/embed/{embed_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/graph/embed/{embed_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/graph/embed/{embed_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/graph/embed/{embed_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/graph/embed/{embed_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/graph/embed/{embed_id} |

### Overview

Get the HTML fragment for a previously generated embed with `embed_id`.

### Arguments

#### Path Parameters

| Name                       | Type   | Description         |
| -------------------------- | ------ | ------------------- |
| embed_id [*required*] | string | Token of the embed. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Embeddable graph.

| Field       | Type    | Description                                           |
| ----------- | ------- | ----------------------------------------------------- |
| dash_name   | string  | Name of the dashboard the graph is on (null if none). |
| dash_url    | string  | URL of the dashboard the graph is on (null if none).  |
| embed_id    | string  | ID of the embed.                                      |
| graph_title | string  | Title of the graph.                                   |
| html        | string  | HTML fragment for the embed (iframe).                 |
| revoked     | boolean | Boolean flag for whether or not the embed is revoked. |
| shared_by   | int64   | ID of the use who shared the embed.                   |

{% /tab %}

{% tab title="Example" %}

```json
{
  "dash_name": "string",
  "dash_url": "string",
  "embed_id": "string",
  "graph_title": "string",
  "html": "string",
  "revoked": false,
  "shared_by": "integer"
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication Error
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not found
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export embed_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v1/graph/embed/${embed_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
